#include "pins.hpp"

Pin::Pin(std::string name) : SystemElement(name) {};

Pins::Pins(void): SystemElementContainer<Pin>("pins") {}

Pins::Pins(std::vector<Pin> pins): SystemElementContainer<Pin>("pins", pins) {}